var panel = new Panel
var panelScreen = panel.screen
var freeEdges = {"bottom": true, "top": true, "left": true, "right": true}

for (i = 0; i < panelIds.length; ++i) {
    var tmpPanel = panelById(panelIds[i])
    if (tmpPanel.screen == panelScreen) {
        // Ignore the new panel
        if (tmpPanel.id != panel.id) {
            freeEdges[tmpPanel.location] = false;
        }
    }
}

if (freeEdges["bottom"] == true) {
    panel.location = "bottom";
} else if (freeEdges["top"] == true) {
    panel.location = "top";
} else if (freeEdges["left"] == true) {
    panel.location = "left";
} else if (freeEdges["right"] == true) {
    panel.location = "right";
} else {
    // There is no free edge, so leave the default value
    panel.location = "top";
}

panel.alignment = 'center'
panel.height = screenGeometry(panel.screen).height > 720 ? 45 : 27
panel.length = screenGeometry(panel.screen).width - 6
panel.addWidget("simplelauncher")
panel.addWidget("places")
panel.addWidget("showdesktop")
pager = panel.addWidget("pager")
pager.writeConfig("hideWhenSingleDesktop", "true")
icontasks_found = false;
for( i = 0;  i < knownWidgetTypes.length; ++i ) {
    if( knownWidgetTypes[i] == "icontasks" ) {
        icontasks_found = true;
        break;
    }
}
if( icontasks_found ) {
    panel.addWidget("icontasks")
} else {
    panel.addWidget("tasks")
}
panel.addWidget("systemtray")
panel.addWidget("digital-clock")
panel.addWidget("lockout")
